; This is a part of the Microsoft Foundation Classes C++ library.
; Copyright (C) 1996 Watcom Corporation
; All rights reserved.
;
; This source code is only intended as a supplement to the
; Microsoft Foundation Classes Reference and related
; electronic documentation provided with the library.
; See these sources for detailed information regarding the
; Microsoft Foundation Classes product.
  
LIBRARY MSWD40UD 
; For Win32 DLLs, only EXPORTs really required.
 
EXPORTS
; MFC 4.0(ISV-drop)
;
 W?AfxDbInitModule$n()v
 W?_afxForceVectorDelete_mfcd$npn()v
 W?CreateObject$:CProcessLocal$::1n$_AFX_DB_STATE$$n()pn$CNoTrackObject$$
 W?$dt:CNoTrackObject$n()_
 W?AfxThunkSQLAllocConnect$n(pnvpnpnv)s
 W?AfxThunkSQLAllocEnv$n(pnpnv)s
 W?AfxThunkSQLAllocStmt$n(pnvpnpnv)s
 W?AfxThunkSQLBindCol$n(pnvusspnvlpnl)s
 W?AfxThunkSQLCancel$n(pnv)s
 W?AfxThunkSQLDescribeCol$n(pnvuspnucspnspnspnulpnspns)s
 W?AfxThunkSQLDisconnect$n(pnv)s
 W?AfxThunkSQLDriverConnect$n(pnvpn$HWND__$$pnucspnucspnsus)s
 W?AfxThunkSQLError$n(pnvpnvpnvpnucpnlpnucspns)s
 W?AfxThunkSQLExecDirect$n(pnvpnucl)s
 W?AfxThunkSQLExecute$n(pnv)s
 W?AfxThunkSQLExtendedFetch$n(pnvuslpnulpnus)s
 W?AfxThunkSQLFetch$n(pnv)s
 W?AfxThunkSQLFreeConnect$n(pnv)s
 W?AfxThunkSQLFreeEnv$n(pnv)s
 W?AfxThunkSQLFreeStmt$n(pnvus)s
 W?AfxThunkSQLGetCursorName$n(pnvpnucspns)s
 W?AfxThunkSQLGetData$n(pnvusspnvlpnl)s
 W?AfxThunkSQLGetFunctions$n(pnvuspnus)s
 W?AfxThunkSQLGetInfo$n(pnvuspnvspns)s
 W?AfxThunkSQLMoreResults$n(pnv)s
 W?AfxThunkSQLNumResultCols$n(pnvpns)s
 W?AfxThunkSQLParamData$n(pnvpnpnv)s
 W?AfxThunkSQLPrepare$n(pnvpnucl)s
 W?AfxThunkSQLPutData$n(pnvpnvl)s
 W?AfxThunkSQLRowCount$n(pnvpnl)s
 W?AfxThunkSQLSetConnectOption$n(pnvusul)s
 W?AfxThunkSQLSetPos$n(pnvususus)s
 W?AfxThunkSQLSetStmtOption$n(pnvusul)s
 W?AfxThunkSQLTransact$n(pnvpnvus)s
 W?AfxThunkSQLBindParameter$n(pnvussssulspnvlpnl)s
 W?$dt:_AFX_DB_STATE$n()_
 W?AfxThrowDBException$n(spn$CDatabase$$pnv)v
 W?$ct:CDBException$n(s)_
 W?$dt:CDBException$n()_
 W?BuildErrorString$:CDBException$n(pn$CDatabase$$pnvi)v
 W?GetErrorMessage$:CDBException$n(pnwuipnui)i
 W?TraceErrorMessage$:CDBException$n.x(pnxw)v
 W?Empty$:CDBException$n()v
 W?$ct:CDatabase$n()_
 W?$dt:CDatabase$n()_
 W?Open$:CDatabase$n(pnxwiipnxwi)i
 W?ExecuteSQL$:CDatabase$n(pnxw)v
 W?Cancel$:CDatabase$n()v
 W?Close$:CDatabase$n()v
 W?Free$:CDatabase$n()v
 W?OnSetOptions$:CDatabase$n(pnv)v
 W?GetDatabaseName$:CDatabase$n.x()$CString$$
 W?BeginTrans$:CDatabase$n()i
 W?CommitTrans$:CDatabase$n()i
 W?Rollback$:CDatabase$n()i
 W?Check$:CDatabase$n.x(s)i
 W?InWaitForDataSource$:CDatabase$n()i
 W?OnWaitForDataSource$:CDatabase$n(i)v
 W?ReplaceBrackets$:CDatabase$n(pnw)v
 W?AllocConnect$:CDatabase$n()v
 W?AssertValid$:CDatabase$n.x()v
 W?Dump$:CDatabase$n.x(rn$CDumpContext$$)v
 W?$ct:CRecordset$n(pn$CDatabase$$)_
 W?$dt:CRecordset$n()_
 W?Open$:CRecordset$n(uipnxwul)i
 W?Close$:CRecordset$n()v
 W?IsOpen$:CRecordset$n.x()i
 W?IsFieldDirty$:CRecordset$n(pnv)i
 W?IsFieldNull$:CRecordset$n(pnv)i
 W?IsFieldNullable$:CRecordset$n(pnv)i
 W?Move$:CRecordset$n(l)v
 W?AddNew$:CRecordset$n()v
 W?Edit$:CRecordset$n()v
 W?Update$:CRecordset$n()i
 W?Delete$:CRecordset$n()v
 W?SetFieldDirty$:CRecordset$n(pnvi)v
 W?SetFieldNull$:CRecordset$n(pnvi)v
 W?SetLockingMode$:CRecordset$n(ui)v
 W?Requery$:CRecordset$n()i
 W?Cancel$:CRecordset$n()v
 W?GetDefaultConnect$:CRecordset$n()$CString$$
 W?OnSetOptions$:CRecordset$n(pnv)v
 W?OnWaitForDataSource$:CRecordset$n(i)v
 W?Check$:CRecordset$n.x(s)i
 W?PreBindFields$:CRecordset$n()v
 W?IsSQLUpdatable$:CRecordset$n(pnxw)i
 W?IsSelectQueryUpdatable$:CRecordset$n(pnxw)i
 W?IsJoin$:CRecordset$n(pnxw)i
 W?FindSQLToken$:CRecordset$n(pnxwpnxw)pnxw
 W?InitRecord$:CRecordset$n()v
 W?BuildSelectSQL$:CRecordset$n()v
 W?AppendFilterAndSortSQL$:CRecordset$n()v
 W?IsRecordsetUpdatable$:CRecordset$n()i
 W?ValidateSelectForUpdateSupport$:CRecordset$n()i
 W?ExecuteSetPosUpdate$:CRecordset$n()v
 W?PrepareUpdateHstmt$:CRecordset$n()v
 W?BuildUpdateSQL$:CRecordset$n()v
 W?ExecuteUpdateSQL$:CRecordset$n()v
 W?SendLongBinaryData$:CRecordset$n(pnv)v
 W?AllocFlags$:CRecordset$n()v
 W?GetFieldFlags$:CRecordset$n(uiui)uc
 W?SetFieldFlags$:CRecordset$n(uiucui)v
 W?ClearFieldFlags$:CRecordset$n(uiucui)v
 W?BindParams$:CRecordset$n(pnv)ui
 W?RebindParams$:CRecordset$n(pnv)v
 W?BindFieldsToColumns$:CRecordset$n()ui
 W?BindFieldsForUpdate$:CRecordset$n()v
 W?UnbindFieldsForUpdate$:CRecordset$n()v
 W?Fixups$:CRecordset$n()v
 W?AppendNames$:CRecordset$n(pn$CString$$pnxw)ui
 W?GetFieldLength$:CRecordset$n(pn$CFieldExchange$$)pnl
 W?AppendNamesValues$:CRecordset$n(pnvpn$CString$$pnxw)ui
 W?AppendValues$:CRecordset$n(pnvpn$CString$$pnxw)ui
 W?StoreFields$:CRecordset$n()v
 W?LoadFields$:CRecordset$n()v
 W?MarkForUpdate$:CRecordset$n()v
 W?MarkForAddNew$:CRecordset$n()v
 W?GetFieldInfo$:CRecordset$n(pnvpn$CFieldInfo$$)i
 W?GetFieldInfo$:CRecordset$n(uipn$CFieldInfo$$)i
 W?DumpFields$:CRecordset$n.x(rn$CDumpContext$$)v
 W?UpdateInsertDelete$:CRecordset$n()i
 W?ReleaseCopyBuffer$:CRecordset$n()v
 W?UnboundFieldInfo$:CRecordset$n(uipn$CFieldInfo$$)i
 W?GetLBFetchSize$:CRecordset$n(l)l
 W?GetLBReallocSize$:CRecordset$n(l)l
 W?AssertValid$:CRecordset$n.x()v
 W?Dump$:CRecordset$n.x(rn$CDumpContext$$)v
 W?IsOpen$:CDatabase$n.x()i
 W?CanUpdate$:CDatabase$n.x()i
 W?CanTransact$:CDatabase$n.x()i
 W?SetLoginTimeout$:CDatabase$n(ul)v
 W?SetQueryTimeout$:CDatabase$n(ul)v
 W?SetSynchronousMode$:CDatabase$n(i)v
 W?GetConnect$:CDatabase$n.x()rnx$CString$$
 W?ThrowDBException$:CDatabase$n(s)v
 W?GetSQL$:CRecordset$n.x()rnx$CString$$
 W?GetTableName$:CRecordset$n.x()rnx$CString$$
 W?IsBOF$:CRecordset$n.x()i
 W?IsEOF$:CRecordset$n.x()i
 W?IsDeleted$:CRecordset$n.x()i
 W?CanUpdate$:CRecordset$n.x()i
 W?CanScroll$:CRecordset$n.x()i
 W?CanAppend$:CRecordset$n.x()i
 W?CanRestart$:CRecordset$n.x()i
 W?CanTransact$:CRecordset$n.x()i
 W?GetRecordCount$:CRecordset$n.x()l
 W?GetStatus$:CRecordset$n.x(rn$CRecordsetStatus$$)v
 W?ThrowDBException$:CRecordset$n(spnv)v
 W?MoveNext$:CRecordset$n()v
 W?MovePrev$:CRecordset$n()v
 W?MoveFirst$:CRecordset$n()v
 W?MoveLast$:CRecordset$n()v
 W?IsFieldFlagNull$:CRecordset$n(uiui)i
 W?IsFieldFlagDirty$:CRecordset$n(uiui)i
 W?_GetBaseClass$:CDBException$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDBException$n.x()pn$CRuntimeClass$$
 W?$dt:CProcessLocal$::1n$_AFX_DB_STATE$$n()_
 W?$ct:_AFX_DB_STATE$n()_
 W?$ct:CFieldInfo$n()_
 W?_afxODBC$n$AFX_ODBC_CALL$$
 W?bTraceSql$ni
 W?$dt:CFieldInfo$n()_
 W?_GetBaseClass$:CDatabase$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDatabase$n.x()pn$CRuntimeClass$$
 W?_GetBaseClass$:CRecordset$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CRecordset$n.x()pn$CRuntimeClass$$
 W?classCDBException$:CDBException$n$CRuntimeClass$$
 W?classCDatabase$:CDatabase$n$CRuntimeClass$$
 W?classCRecordset$:CRecordset$n$CRuntimeClass$$
 W?_afxDbState$n$CProcessLocal$::1n$_AFX_DB_STATE$$$
 W?$ct:CFieldExchange$n(uipn$CRecordset$$pnv)_
 W?IsFieldType$:CFieldExchange$n(pnui)i
 W?Default$:CFieldExchange$n(pnxwpnvpnliuiui)v
 W?RFX_Text$n(pn$CFieldExchange$$pnxwrn$CString$$ii)v
 W?RFX_Int$n(pn$CFieldExchange$$pnxwrni)v
 W?RFX_Long$n(pn$CFieldExchange$$pnxwrnl)v
 W?RFX_Byte$n(pn$CFieldExchange$$pnxwrnuc)v
 W?RFX_Bool$n(pn$CFieldExchange$$pnxwrni)v
 W?RFX_Binary$n(pn$CFieldExchange$$pnxwrn$CByteArray$$i)v
 W?RFX_Date$n(pn$CFieldExchange$$pnxwrn$CTime$$)v
 W?RFX_Date$n(pn$CFieldExchange$$pnxwrn$tagTIMESTAMP_STRUCT$$)v
 W?RFX_LongBinary$n(pn$CFieldExchange$$pnxwrn$CLongBinary$$)v
 W?GetColumnType$:CFieldExchange$n(ipnuipnipni)i
 W?GetLongBinarySize$:CFieldExchange$n(i)l
 W?GetLongBinaryData$:CFieldExchange$n(irn$CLongBinary$$pnl)v
 W?ReallocLongBinary$:CFieldExchange$n(rn$CLongBinary$$ll)pnuc
 W?SetFieldType$:CFieldExchange$n(ui)v
 W?_GetBaseMessageMap$:CRecordView$n()pnx$AFX_MSGMAP$$
 W?GetMessageMap$:CRecordView$n.x()pnx$AFX_MSGMAP$$
 W?$ct:CRecordView$n(pnxw)_
 W?$ct:CRecordView$n(ui)_
 W?$dt:CRecordView$n()_
 W?OnInitialUpdate$:CRecordView$n()v
 W?IsOnFirstRecord$:CRecordView$n()i
 W?IsOnLastRecord$:CRecordView$n()i
 W?OnMove$:CRecordView$n(ui)i
 W?OnUpdateRecordFirst$:CRecordView$n(pn$CCmdUI$$)v
 W?OnUpdateRecordPrev$:CRecordView$n(pn$CCmdUI$$)v
 W?OnUpdateRecordNext$:CRecordView$n(pn$CCmdUI$$)v
 W?OnUpdateRecordLast$:CRecordView$n(pn$CCmdUI$$)v
 W?AfxFieldText$n(pn$CDataExchange$$ipnvpn$CRecordset$$)i
 W?DDX_FieldText$n(pn$CDataExchange$$irnipn$CRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnucpn$CRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnuipn$CRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnlpn$CRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnulpn$CRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irn$CString$$pn$CRecordset$$)v
 W?DDX_FieldLBString$n(pn$CDataExchange$$irn$CString$$pn$CRecordset$$)v
 W?DDX_FieldLBStringExact$n(pn$CDataExchange$$irn$CString$$pn$CRecordset$$)v
 W?DDX_FieldLBIndex$n(pn$CDataExchange$$irnipn$CRecordset$$)v
 W?DDX_FieldCBString$n(pn$CDataExchange$$irn$CString$$pn$CRecordset$$)v
 W?DDX_FieldCBStringExact$n(pn$CDataExchange$$irn$CString$$pn$CRecordset$$)v
 W?DDX_FieldCBIndex$n(pn$CDataExchange$$irnipn$CRecordset$$)v
 W?DDX_FieldScroll$n(pn$CDataExchange$$irnipn$CRecordset$$)v
 W?DDX_FieldCheck$n(pn$CDataExchange$$irnipn$CRecordset$$)v
 W?DDX_FieldRadio$n(pn$CDataExchange$$irnipn$CRecordset$$)v
 W?_messageEntries$:CRecordView$n[]x$AFX_MSGMAP_ENTRY$$
 W?AssertValid$:CRecordView$n.x()v
 W?Dump$:CRecordView$n.x(rn$CDumpContext$$)v
 W?OnMove$:CRecordView$n(ii)v
 W?_GetBaseClass$:CRecordView$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CRecordView$n.x()pn$CRuntimeClass$$
 W?messageMap$:CRecordView$nx$AFX_MSGMAP$$
 W?classCRecordView$:CRecordView$n$CRuntimeClass$$
 W?RFX_Single$n(pn$CFieldExchange$$pnxwrnb)v
 W?RFX_Double$n(pn$CFieldExchange$$pnxwrnd)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnbpn$CRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irndpn$CRecordset$$)v
 W?$ct:CLongBinary$n()_
 W?$dt:CLongBinary$n()_
 W?AssertValid$:CLongBinary$n.x()v
 W?Dump$:CLongBinary$n.x(rn$CDumpContext$$)v
 W?_GetBaseClass$:CLongBinary$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CLongBinary$n.x()pn$CRuntimeClass$$
 W?classCLongBinary$:CLongBinary$n$CRuntimeClass$$
 W?$ct:_AFX_DAO_STATE$n()_
 W?$dt:_AFX_DAO_STATE$n()_
 W?AfxDaoCheck$n(lpnxapnxaiii)v
 W?AfxDaoTrace$n(lpnxapnxai)v
 W?Dump$:CDaoErrorInfo$n.x(rn$CDumpContext$$)v
 W?Dump$:CDaoWorkspaceInfo$n.x(rn$CDumpContext$$)v
 W?Dump$:CDaoDatabaseInfo$n.x(rn$CDumpContext$$)v
 W?Dump$:CDaoTableDefInfo$n.x(rn$CDumpContext$$)v
 W?Dump$:CDaoFieldInfo$n.x(rn$CDumpContext$$)v
 W?Dump$:CDaoIndexFieldInfo$n.x(rn$CDumpContext$$)v
 W?$ct:CDaoIndexInfo$n()_
 W?$dt:CDaoIndexInfo$n()_
 W?Dump$:CDaoIndexInfo$n.x(rn$CDumpContext$$)v
 W?Dump$:CDaoRelationFieldInfo$n.x(rn$CDumpContext$$)v
 W?$ct:CDaoRelationInfo$n()_
 W?$dt:CDaoRelationInfo$n()_
 W?Dump$:CDaoRelationInfo$n.x(rn$CDumpContext$$)v
 W?Dump$:CDaoQueryDefInfo$n.x(rn$CDumpContext$$)v
 W?Dump$:CDaoParameterInfo$n.x(rn$CDumpContext$$)v
 W?_GetBaseClass$:CDaoException$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDaoException$n.x()pn$CRuntimeClass$$
 W?$ct:CDaoException$n()_
 W?$dt:CDaoException$n()_
 W?GetErrorCount$:CDaoException$n()s
 W?GetErrorInfo$:CDaoException$n(i)v
 W?GetErrorMessage$:CDaoException$n(pnwuipnui)i
 W?InitErrorsCollection$:CDaoException$n()v
 W?FillErrorInfo$:CDaoException$n()v
 W?AfxThrowDaoException$n(il)v
 W?_GetBaseClass$:CDaoWorkspace$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDaoWorkspace$n.x()pn$CRuntimeClass$$
 W?$ct:CDaoWorkspace$n()_
 W?$dt:CDaoWorkspace$n()_
 W?Create$:CDaoWorkspace$n(pnxwpnxwpnxw)v
 W?Append$:CDaoWorkspace$n()v
 W?Open$:CDaoWorkspace$n(pnxw)v
 W?Close$:CDaoWorkspace$n()v
 W?GetVersion$:CDaoWorkspace$n()$CString$$
 W?GetIniPath$:CDaoWorkspace$n()$CString$$
 W?SetIniPath$:CDaoWorkspace$n(pnxw)v
 W?SetDefaultUser$:CDaoWorkspace$n(pnxw)v
 W?SetDefaultPassword$:CDaoWorkspace$n(pnxw)v
 W?GetLoginTimeout$:CDaoWorkspace$n()s
 W?SetLoginTimeout$:CDaoWorkspace$n(s)v
 W?GetName$:CDaoWorkspace$n()$CString$$
 W?GetUserNameW$:CDaoWorkspace$n()$CString$$
 W?SetIsolateODBCTrans$:CDaoWorkspace$n(i)v
 W?GetIsolateODBCTrans$:CDaoWorkspace$n()i
 W?CompactDatabase$:CDaoWorkspace$n(pnxwpnxwpnxwipnxw)v
 W?CompactDatabase$:CDaoWorkspace$n(pnxwpnxwpnxwi)v
 W?RepairDatabase$:CDaoWorkspace$n(pnxw)v
 W?Idle$:CDaoWorkspace$n(i)v
 W?GetWorkspaceCount$:CDaoWorkspace$n()s
 W?GetWorkspaceInfo$:CDaoWorkspace$n(irn$CDaoWorkspaceInfo$$ul)v
 W?GetWorkspaceInfo$:CDaoWorkspace$n(pnxwrn$CDaoWorkspaceInfo$$ul)v
 W?GetDatabaseCount$:CDaoWorkspace$n()s
 W?GetDatabaseInfo$:CDaoWorkspace$n(irn$CDaoDatabaseInfo$$ul)v
 W?GetDatabaseInfo$:CDaoWorkspace$n(pnxwrn$CDaoDatabaseInfo$$ul)v
 W?BeginTrans$:CDaoWorkspace$n()v
 W?CommitTrans$:CDaoWorkspace$n()v
 W?Rollback$:CDaoWorkspace$n()v
 W?InitializeEngine$:CDaoWorkspace$n()v
 W?InitWorkspacesCollection$:CDaoWorkspace$n()v
 W?FillWorkspaceInfo$:CDaoWorkspace$n(pn$DAOWorkspace$$rn$CDaoWorkspaceInfo$$ul)v
 W?InitDatabasesCollection$:CDaoWorkspace$n()v
 W?FillDatabaseInfo$:CDaoWorkspace$n(pn$DAODatabase$$rn$CDaoDatabaseInfo$$ul)v
 W?ThrowDaoException$:CDaoWorkspace$n(i)v
 W?AssertValid$:CDaoWorkspace$n.x()v
 W?Dump$:CDaoWorkspace$n.x(rn$CDumpContext$$)v
 W?_GetBaseClass$:CDaoDatabase$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDaoDatabase$n.x()pn$CRuntimeClass$$
 W?$ct:CDaoDatabase$n(pn$CDaoWorkspace$$)_
 W?$dt:CDaoDatabase$n()_
 W?Create$:CDaoDatabase$n(pnxwpnxwi)v
 W?Open$:CDaoDatabase$n(pnxwiipnxw)v
 W?Close$:CDaoDatabase$n()v
 W?CanUpdate$:CDaoDatabase$n()i
 W?CanTransact$:CDaoDatabase$n()i
 W?GetName$:CDaoDatabase$n()$CString$$
 W?GetConnect$:CDaoDatabase$n()$CString$$
 W?GetVersion$:CDaoDatabase$n()$CString$$
 W?GetQueryTimeout$:CDaoDatabase$n()s
 W?SetQueryTimeout$:CDaoDatabase$n(s)v
 W?GetRecordsAffected$:CDaoDatabase$n()l
 W?DeleteTableDef$:CDaoDatabase$n(pnxw)v
 W?DeleteQueryDef$:CDaoDatabase$n(pnxw)v
 W?CreateRelation$:CDaoDatabase$n(pnxwpnxwpnxwlpnxwpnxw)v
 W?CreateRelation$:CDaoDatabase$n(rn$CDaoRelationInfo$$)v
 W?DeleteRelation$:CDaoDatabase$n(pnxw)v
 W?Execute$:CDaoDatabase$n(pnxwi)v
 W?GetTableDefCount$:CDaoDatabase$n()s
 W?GetTableDefInfo$:CDaoDatabase$n(irn$CDaoTableDefInfo$$ul)v
 W?GetTableDefInfo$:CDaoDatabase$n(pnxwrn$CDaoTableDefInfo$$ul)v
 W?GetRelationCount$:CDaoDatabase$n()s
 W?GetRelationInfo$:CDaoDatabase$n(irn$CDaoRelationInfo$$ul)v
 W?GetRelationInfo$:CDaoDatabase$n(pnxwrn$CDaoRelationInfo$$ul)v
 W?GetQueryDefCount$:CDaoDatabase$n()s
 W?GetQueryDefInfo$:CDaoDatabase$n(irn$CDaoQueryDefInfo$$ul)v
 W?GetQueryDefInfo$:CDaoDatabase$n(pnxwrn$CDaoQueryDefInfo$$ul)v
 W?InitWorkspace$:CDaoDatabase$n()v
 W?InitTableDefsCollection$:CDaoDatabase$n()v
 W?FillTableDefInfo$:CDaoDatabase$n(pn$_DAOTableDef$$rn$CDaoTableDefInfo$$ul)v
 W?InitRelationsCollection$:CDaoDatabase$n()v
 W?FillRelationInfo$:CDaoDatabase$n(pn$_DAORelation$$rn$CDaoRelationInfo$$ul)v
 W?InitQueryDefsCollection$:CDaoDatabase$n()v
 W?FillQueryDefInfo$:CDaoDatabase$n(pn$_DAOQueryDef$$rn$CDaoQueryDefInfo$$ul)v
 W?ThrowDaoException$:CDaoDatabase$n(i)v
 W?AssertValid$:CDaoDatabase$n.x()v
 W?Dump$:CDaoDatabase$n.x(rn$CDumpContext$$)v
 W?_GetBaseClass$:CDaoTableDef$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDaoTableDef$n.x()pn$CRuntimeClass$$
 W?$ct:CDaoTableDef$n(pn$CDaoDatabase$$)_
 W?$dt:CDaoTableDef$n()_
 W?Create$:CDaoTableDef$n(pnxwlpnxwpnxw)v
 W?Append$:CDaoTableDef$n()v
 W?Open$:CDaoTableDef$n(pnxw)v
 W?Close$:CDaoTableDef$n()v
 W?CanUpdate$:CDaoTableDef$n()i
 W?SetName$:CDaoTableDef$n(pnxw)v
 W?GetName$:CDaoTableDef$n()$CString$$
 W?SetSourceTableName$:CDaoTableDef$n(pnxw)v
 W?GetSourceTableName$:CDaoTableDef$n()$CString$$
 W?SetConnect$:CDaoTableDef$n(pnxw)v
 W?GetConnect$:CDaoTableDef$n()$CString$$
 W?SetAttributes$:CDaoTableDef$n(l)v
 W?GetAttributes$:CDaoTableDef$n()l
 W?GetDateCreated$:CDaoTableDef$n()$COleDateTime$$
 W?GetDateLastUpdated$:CDaoTableDef$n()$COleDateTime$$
 W?SetValidationRule$:CDaoTableDef$n(pnxw)v
 W?GetValidationRule$:CDaoTableDef$n()$CString$$
 W?SetValidationText$:CDaoTableDef$n(pnxw)v
 W?GetValidationText$:CDaoTableDef$n()$CString$$
 W?GetRecordCount$:CDaoTableDef$n()l
 W?CreateField$:CDaoTableDef$n(pnxwsll)v
 W?CreateField$:CDaoTableDef$n(rn$CDaoFieldInfo$$)v
 W?DeleteField$:CDaoTableDef$n(pnxw)v
 W?DeleteField$:CDaoTableDef$n(i)v
 W?CreateIndex$:CDaoTableDef$n(rn$CDaoIndexInfo$$)v
 W?DeleteIndex$:CDaoTableDef$n(pnxw)v
 W?DeleteIndex$:CDaoTableDef$n(i)v
 W?GetFieldCount$:CDaoTableDef$n()s
 W?GetFieldInfo$:CDaoTableDef$n(irn$CDaoFieldInfo$$ul)v
 W?GetFieldInfo$:CDaoTableDef$n(pnxwrn$CDaoFieldInfo$$ul)v
 W?GetIndexCount$:CDaoTableDef$n()s
 W?GetIndexInfo$:CDaoTableDef$n(irn$CDaoIndexInfo$$ul)v
 W?GetIndexInfo$:CDaoTableDef$n(pnxwrn$CDaoIndexInfo$$ul)v
 W?RefreshLink$:CDaoTableDef$n()v
 W?InitFieldsCollection$:CDaoTableDef$n()v
 W?InitIndexesCollection$:CDaoTableDef$n()v
 W?ThrowDaoException$:CDaoTableDef$n(i)v
 W?AssertValid$:CDaoTableDef$n.x()v
 W?Dump$:CDaoTableDef$n.x(rn$CDumpContext$$)v
 W?_GetBaseClass$:CDaoQueryDef$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDaoQueryDef$n.x()pn$CRuntimeClass$$
 W?$ct:CDaoQueryDef$n(pn$CDaoDatabase$$)_
 W?$dt:CDaoQueryDef$n()_
 W?Create$:CDaoQueryDef$n(pnxwpnxw)v
 W?Append$:CDaoQueryDef$n()v
 W?Open$:CDaoQueryDef$n(pnxw)v
 W?Close$:CDaoQueryDef$n()v
 W?CanUpdate$:CDaoQueryDef$n()i
 W?GetName$:CDaoQueryDef$n()$CString$$
 W?SetName$:CDaoQueryDef$n(pnxw)v
 W?GetSQL$:CDaoQueryDef$n()$CString$$
 W?SetSQL$:CDaoQueryDef$n(pnxw)v
 W?GetType$:CDaoQueryDef$n()s
 W?GetDateCreated$:CDaoQueryDef$n()$COleDateTime$$
 W?GetDateLastUpdated$:CDaoQueryDef$n()$COleDateTime$$
 W?GetConnect$:CDaoQueryDef$n()$CString$$
 W?SetConnect$:CDaoQueryDef$n(pnxw)v
 W?GetODBCTimeout$:CDaoQueryDef$n()s
 W?SetODBCTimeout$:CDaoQueryDef$n(s)v
 W?GetReturnsRecords$:CDaoQueryDef$n()i
 W?SetReturnsRecords$:CDaoQueryDef$n(i)v
 W?GetRecordsAffected$:CDaoQueryDef$n()l
 W?Execute$:CDaoQueryDef$n(i)v
 W?GetParamValue$:CDaoQueryDef$n(pnxw)$COleVariant$$
 W?GetParamValue$:CDaoQueryDef$n(i)$COleVariant$$
 W?SetParamValue$:CDaoQueryDef$n(pnxwrnx$COleVariant$$)v
 W?SetParamValue$:CDaoQueryDef$n(irnx$COleVariant$$)v
 W?SetParamValueNull$:CDaoQueryDef$n(pnxw)v
 W?SetParamValueNull$:CDaoQueryDef$n(i)v
 W?GetFieldCount$:CDaoQueryDef$n()s
 W?GetFieldInfo$:CDaoQueryDef$n(irn$CDaoFieldInfo$$ul)v
 W?GetFieldInfo$:CDaoQueryDef$n(pnxwrn$CDaoFieldInfo$$ul)v
 W?GetParameterCount$:CDaoQueryDef$n()s
 W?GetParameterInfo$:CDaoQueryDef$n(irn$CDaoParameterInfo$$ul)v
 W?GetParameterInfo$:CDaoQueryDef$n(pnxwrn$CDaoParameterInfo$$ul)v
 W?InitFieldsCollection$:CDaoQueryDef$n()v
 W?InitParametersCollection$:CDaoQueryDef$n()v
 W?FillParameterInfo$:CDaoQueryDef$n(pn$DAOParameter$$rn$CDaoParameterInfo$$ul)v
 W?ThrowDaoException$:CDaoQueryDef$n(i)v
 W?AssertValid$:CDaoQueryDef$n.x()v
 W?Dump$:CDaoQueryDef$n.x(rn$CDumpContext$$)v
 W?_GetBaseClass$:CDaoRecordset$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDaoRecordset$n.x()pn$CRuntimeClass$$
 W?$ct:CDaoRecordset$n(pn$CDaoDatabase$$)_
 W?$dt:CDaoRecordset$n()_
 W?Open$:CDaoRecordset$n(ipnxwi)v
 W?Open$:CDaoRecordset$n(pn$CDaoQueryDef$$ii)v
 W?Open$:CDaoRecordset$n(pn$CDaoTableDef$$ii)v
 W?Close$:CDaoRecordset$n()v
 W?Requery$:CDaoRecordset$n()v
 W?GetDefaultDBName$:CDaoRecordset$n()$CString$$
 W?GetDefaultSQL$:CDaoRecordset$n()$CString$$
 W?DoFieldExchange$:CDaoRecordset$n(pn$CDaoFieldExchange$$)v
 W?IsBOF$:CDaoRecordset$n()i
 W?IsEOF$:CDaoRecordset$n()i
 W?IsDeleted$:CDaoRecordset$n.x()i
 W?CanScroll$:CDaoRecordset$n.x()i
 W?CanUpdate$:CDaoRecordset$n.x()i
 W?CanAppend$:CDaoRecordset$n.x()i
 W?CanRestart$:CDaoRecordset$n()i
 W?CanTransact$:CDaoRecordset$n()i
 W?CanBookmark$:CDaoRecordset$n()i
 W?GetName$:CDaoRecordset$n()$CString$$
 W?GetType$:CDaoRecordset$n()s
 W?GetEditMode$:CDaoRecordset$n()s
 W?GetSQL$:CDaoRecordset$n.x()$CString$$
 W?GetDateCreated$:CDaoRecordset$n()$COleDateTime$$
 W?GetDateLastUpdated$:CDaoRecordset$n()$COleDateTime$$
 W?GetLastModifiedBookmark$:CDaoRecordset$n()$COleVariant$$
 W?GetValidationRule$:CDaoRecordset$n()$CString$$
 W?GetValidationText$:CDaoRecordset$n()$CString$$
 W?GetCurrentIndex$:CDaoRecordset$n()$CString$$
 W?SetCurrentIndex$:CDaoRecordset$n(pnxw)v
 W?GetRecordCount$:CDaoRecordset$n()l
 W?SetFieldDirty$:CDaoRecordset$n(pnvi)v
 W?IsFieldDirty$:CDaoRecordset$n(pnv)i
 W?SetFieldNull$:CDaoRecordset$n(pnvi)v
 W?IsFieldNull$:CDaoRecordset$n(pnv)i
 W?IsFieldNullable$:CDaoRecordset$n(pnv)i
 W?GetFieldCount$:CDaoRecordset$n()s
 W?GetFieldInfo$:CDaoRecordset$n(irn$CDaoFieldInfo$$ul)v
 W?GetFieldInfo$:CDaoRecordset$n(pnxwrn$CDaoFieldInfo$$ul)v
 W?GetIndexCount$:CDaoRecordset$n()s
 W?GetIndexInfo$:CDaoRecordset$n(irn$CDaoIndexInfo$$ul)v
 W?GetIndexInfo$:CDaoRecordset$n(pnxwrn$CDaoIndexInfo$$ul)v
 W?GetBookmark$:CDaoRecordset$n()$COleVariant$$
 W?SetBookmark$:CDaoRecordset$n($COleVariant$$)v
 W?GetAbsolutePosition$:CDaoRecordset$n()l
 W?SetAbsolutePosition$:CDaoRecordset$n(l)v
 W?GetPercentPosition$:CDaoRecordset$n()b
 W?SetPercentPosition$:CDaoRecordset$n(b)v
 W?MoveNext$:CDaoRecordset$n()v
 W?MovePrev$:CDaoRecordset$n()v
 W?MoveFirst$:CDaoRecordset$n()v
 W?MoveLast$:CDaoRecordset$n()v
 W?Move$:CDaoRecordset$n(l)v
 W?FindNext$:CDaoRecordset$n(pnxw)i
 W?FindPrev$:CDaoRecordset$n(pnxw)i
 W?FindFirst$:CDaoRecordset$n(pnxw)i
 W?FindLast$:CDaoRecordset$n(pnxw)i
 W?Find$:CDaoRecordset$n(lpnxw)i
 W?Seek$:CDaoRecordset$n(pnxwpn$COleVariant$$pn$2$pn$2$)i
 W?Seek$:CDaoRecordset$n(pnxwpn$COleVariant$$us)i
 W?CancelUpdate$:CDaoRecordset$n()v
 W?SetLockingMode$:CDaoRecordset$n(i)v
 W?GetLockingMode$:CDaoRecordset$n()i
 W?SetCacheStart$:CDaoRecordset$n($COleVariant$$)v
 W?GetCacheStart$:CDaoRecordset$n()$COleVariant$$
 W?SetCacheSize$:CDaoRecordset$n(l)v
 W?GetCacheSize$:CDaoRecordset$n()l
 W?FillCache$:CDaoRecordset$n(pnlpn$COleVariant$$)v
 W?AddNew$:CDaoRecordset$n()v
 W?Edit$:CDaoRecordset$n()v
 W?Update$:CDaoRecordset$n()v
 W?Delete$:CDaoRecordset$n()v
 W?GetFieldValue$:CDaoRecordset$n(pnxw)$COleVariant$$
 W?GetFieldValue$:CDaoRecordset$n(i)$COleVariant$$
 W?SetFieldValue$:CDaoRecordset$n(pnxwrnx$COleVariant$$)v
 W?SetFieldValue$:CDaoRecordset$n(irnx$COleVariant$$)v
 W?SetFieldValue$:CDaoRecordset$n(ipnxw)v
 W?SetFieldValue$:CDaoRecordset$n(pnxwpnxw)v
 W?SetFieldValueNull$:CDaoRecordset$n(pnxw)v
 W?SetFieldValueNull$:CDaoRecordset$n(i)v
 W?GetParamValue$:CDaoRecordset$n(pnxw)$COleVariant$$
 W?GetParamValue$:CDaoRecordset$n(i)$COleVariant$$
 W?SetParamValue$:CDaoRecordset$n(pnxwrnx$COleVariant$$)v
 W?SetParamValue$:CDaoRecordset$n(irnx$COleVariant$$)v
 W?SetParamValueNull$:CDaoRecordset$n(pnxw)v
 W?SetParamValueNull$:CDaoRecordset$n(i)v
 W?GetFieldLength$:CDaoRecordset$n(i)ul
 W?InitFieldsCollection$:CDaoRecordset$n()v
 W?InitIndexesCollection$:CDaoRecordset$n()v
 W?BuildSQL$:CDaoRecordset$n()v
 W?AllocDatabase$:CDaoRecordset$n()v
 W?BuildSelectList$:CDaoRecordset$n()v
 W?BuildParameterList$:CDaoRecordset$n()v
 W?BindFields$:CDaoRecordset$n()v
 W?BindParameters$:CDaoRecordset$n()v
 W?Fixup$:CDaoRecordset$n()v
 W?AllocCache$:CDaoRecordset$n()v
 W?StoreFields$:CDaoRecordset$n()v
 W?LoadFields$:CDaoRecordset$n()v
 W?FreeCache$:CDaoRecordset$n()v
 W?MarkForAddNew$:CDaoRecordset$n()v
 W?MarkForEdit$:CDaoRecordset$n()v
 W?GetFieldIndex$:CDaoRecordset$n(pnv)i
 W?SetDirtyFields$:CDaoRecordset$n()v
 W?ResetCursor$:CDaoRecordset$n()v
 W?SetCursorAttributes$:CDaoRecordset$n()v
 W?ResetCursorAttributes$:CDaoRecordset$n()v
 W?GetDataAndFixupNulls$:CDaoRecordset$n()v
 W?IsFieldStatusDirty$:CDaoRecordset$n(ui)i
 W?SetDirtyFieldStatus$:CDaoRecordset$n(ui)v
 W?ClearDirtyFieldStatus$:CDaoRecordset$n(ui)v
 W?IsFieldStatusNull$:CDaoRecordset$n(ui)i
 W?SetNullFieldStatus$:CDaoRecordset$n(ui)v
 W?ClearNullFieldStatus$:CDaoRecordset$n(ui)v
 W?IsFieldStatusNullable$:CDaoRecordset$n(ui)i
 W?SetNullableFieldStatus$:CDaoRecordset$n(ui)v
 W?IsFieldStatusNullableKnown$:CDaoRecordset$n(ui)i
 W?SetNullableKnownFieldStatus$:CDaoRecordset$n(ui)v
 W?ClearFieldStatusFlags$:CDaoRecordset$n()v
 W?IsMatch$:CDaoRecordset$n()i
 W?StripBrackets$:CDaoRecordset$n(pnxwpnw)v
 W?ThrowDaoException$:CDaoRecordset$n(i)v
 W?AssertValid$:CDaoRecordset$n.x()v
 W?Dump$:CDaoRecordset$n.x(rn$CDumpContext$$)v
 W?AfxGetFieldInfo$n(pn$_DAOField$$rn$CDaoFieldInfo$$ul)v
 W?AfxSetFieldInfo$n(pn$_DAOField$$rn$CDaoFieldInfo$$)v
 W?AfxGetIndexInfo$n(pn$_DAOIndex$$rn$CDaoIndexInfo$$ul)v
 W?AfxSetIndexInfo$n(pn$_DAOIndex$$rn$CDaoIndexInfo$$)v
 W?AfxGetIndexFields$n(pn$_DAOIndex$$pnpn$DAOIndexFields$$)v
 W?AfxGetIndexFieldInfo$n(pn$_DAOIndex$$rn$CDaoIndexInfo$$)v
 W?AfxSetIndexFieldInfo$n(pn$_DAOIndex$$rn$CDaoIndexInfo$$)v
 W?ThrowGetRowsDaoException$n(l)v
 W?AfxGetDaoState$n()pn$_AFX_DAO_STATE$$
 W?AfxDaoInit$n()v
 W?AfxDaoGetEngine$n()pn$_DAODBEngine$$
 W?AfxDaoTerm$n()v
 W?IsOpen$:CDaoWorkspace$n.x()i
 W?$ct:CDaoRelationFieldInfo$n()_
 W?$dt:CDaoRelationFieldInfo$n()_
 W?$ct:CDaoIndexFieldInfo$n()_
 W?$dt:CDaoIndexFieldInfo$n()_
 W?$ct:CDaoFieldInfo$n()_
 W?$dt:CDaoFieldInfo$n()_
 W?classCDaoException$:CDaoException$n$CRuntimeClass$$
 W?classCDaoWorkspace$:CDaoWorkspace$n$CRuntimeClass$$
 W?classCDaoDatabase$:CDaoDatabase$n$CRuntimeClass$$
 W?classCDaoTableDef$:CDaoTableDef$n$CRuntimeClass$$
 W?classCDaoQueryDef$:CDaoQueryDef$n$CRuntimeClass$$
 W?classCDaoRecordset$:CDaoRecordset$n$CRuntimeClass$$
 W?IsOpen$:CDaoDatabase$n.x()i
 W?IsOpen$:CDaoTableDef$n.x()i
 W?IsOpen$:CDaoQueryDef$n.x()i
 W?IsOpen$:CDaoRecordset$n.x()i
 W?$ct:CDaoFieldExchange$n(uipn$CDaoRecordset$$pnv)_
 W?IsValidOperation$:CDaoFieldExchange$n()i
 W?AppendParamType$:CDaoFieldExchange$n(rn$CString$$ul)v
 W?GetCacheValue$:CDaoFieldExchange$n(pn$CDaoRecordset$$pnv)pn$CDaoFieldCache$$
 W?SetNullValue$:CDaoFieldExchange$n(pnvul)v
 W?IsNullValue$:CDaoFieldExchange$n(pnvul)i
 W?AllocCacheValue$:CDaoFieldExchange$n(rnpn$CDaoFieldCache$$ul)v
 W?DeleteCacheValue$:CDaoFieldExchange$n(pn$CDaoFieldCache$$ul)v
 W?CopyValue$:CDaoFieldExchange$n(pnvpnvul)v
 W?CompareValue$:CDaoFieldExchange$n(pnvpnvul)i
 W?FillVariant$:CDaoFieldExchange$n(pnvulpnpn$COleVariant$$)v
 W?Default$:CDaoFieldExchange$n(pnxwpnvulul)v
 W?DFX_Text$n(pn$CDaoFieldExchange$$pnxwrn$CString$$iul)v
 W?DFX_Binary$n(pn$CDaoFieldExchange$$pnxwrn$CByteArray$$iul)v
 W?DFX_LongBinary$n(pn$CDaoFieldExchange$$pnxwrn$CLongBinary$$ulul)v
 W?DFX_Bool$n(pn$CDaoFieldExchange$$pnxwrniul)v
 W?DFX_Byte$n(pn$CDaoFieldExchange$$pnxwrnucul)v
 W?DFX_Short$n(pn$CDaoFieldExchange$$pnxwrnsul)v
 W?DFX_Long$n(pn$CDaoFieldExchange$$pnxwrnlul)v
 W?DFX_Currency$n(pn$CDaoFieldExchange$$pnxwrn$COleCurrency$$ul)v
 W?DFX_Single$n(pn$CDaoFieldExchange$$pnxwrnbul)v
 W?DFX_Double$n(pn$CDaoFieldExchange$$pnxwrndul)v
 W?DFX_DateTime$n(pn$CDaoFieldExchange$$pnxwrn$COleDateTime$$ul)v
 _DaoStringAllocCallback@12
 _DaoBinaryAllocCallback@12
 _DaoLongBinaryAllocCallback@12
 W?AllocLongBinary$n(rn$CLongBinary$$ul)v
 W?SetFieldType$:CDaoFieldExchange$n(ui)v
 W?_GetBaseClass$:CDaoRecordView$n()pn$CRuntimeClass$$
 W?GetRuntimeClass$:CDaoRecordView$n.x()pn$CRuntimeClass$$
 W?_GetBaseMessageMap$:CDaoRecordView$n()pnx$AFX_MSGMAP$$
 W?GetMessageMap$:CDaoRecordView$n.x()pnx$AFX_MSGMAP$$
 W?$ct:CDaoRecordView$n(pnxw)_
 W?$ct:CDaoRecordView$n(ui)_
 W?$dt:CDaoRecordView$n()_
 W?OnInitialUpdate$:CDaoRecordView$n()v
 W?OnMove$:CDaoRecordView$n(ui)i
 W?IsOnFirstRecord$:CDaoRecordView$n()i
 W?IsOnLastRecord$:CDaoRecordView$n()i
 W?AfxFieldText$n(pn$CDataExchange$$ipnvpn$CDaoRecordset$$)i
 W?DDX_FieldText$n(pn$CDataExchange$$irnipn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnucpn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnspn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnlpn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnulpn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irn$COleCurrency$$pn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irnbpn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irndpn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irn$COleDateTime$$pn$CDaoRecordset$$)v
 W?DDX_FieldText$n(pn$CDataExchange$$irn$CString$$pn$CDaoRecordset$$)v
 W?DDX_FieldLBString$n(pn$CDataExchange$$irn$CString$$pn$CDaoRecordset$$)v
 W?DDX_FieldLBStringExact$n(pn$CDataExchange$$irn$CString$$pn$CDaoRecordset$$)v
 W?DDX_FieldCBString$n(pn$CDataExchange$$irn$CString$$pn$CDaoRecordset$$)v
 W?DDX_FieldCBStringExact$n(pn$CDataExchange$$irn$CString$$pn$CDaoRecordset$$)v
 W?DDX_FieldLBIndex$n(pn$CDataExchange$$irnipn$CDaoRecordset$$)v
 W?DDX_FieldCBIndex$n(pn$CDataExchange$$irnipn$CDaoRecordset$$)v
 W?DDX_FieldScroll$n(pn$CDataExchange$$irnipn$CDaoRecordset$$)v
 W?DDX_FieldCheck$n(pn$CDataExchange$$irnipn$CDaoRecordset$$)v
 W?DDX_FieldRadio$n(pn$CDataExchange$$irnipn$CDaoRecordset$$)v
 W?AssertValid$:CDaoRecordView$n.x()v
 W?Dump$:CDaoRecordView$n.x(rn$CDumpContext$$)v
 W?OnUpdateRecordFirst$:CDaoRecordView$n(pn$CCmdUI$$)v
 W?OnUpdateRecordNext$:CDaoRecordView$n(pn$CCmdUI$$)v
 W?OnUpdateRecordPrev$:CDaoRecordView$n(pn$CCmdUI$$)v
 W?OnUpdateRecordLast$:CDaoRecordView$n(pn$CCmdUI$$)v
 W?$dt:CFormView$n()_
 W?classCDaoRecordView$:CDaoRecordView$n$CRuntimeClass$$
 W?_messageEntries$:CDaoRecordView$n[]x$AFX_MSGMAP_ENTRY$$
 W?OnMove$:CDaoRecordView$n(ii)v
 W?messageMap$:CDaoRecordView$nx$AFX_MSGMAP$$
